require(['dojo/_base/kernel', 'dojo/ready'], function (dojo, ready) {
	ready(function () {
		PluginHost.register(PluginHost.HOOK_INIT_COMPLETE, () => {
			App.hotkey_actions["feed_toggle_title"] = toggleHeadlineOrderTitle;
		});
	});
});


function toggleHeadlineOrderTitle() {
	const toolbar = document.forms["toolbar-main"];
	const order_by = dijit.getEnclosingWidget(toolbar.order_by);

	let value = order_by.attr('value');
	switch(value) {
		case 'date_reverse':
			value = 'feed_dates';
			break;
		case 'title':
			value = 'date_reverse';
			break;
		default:
			value = 'title';
	}

	order_by.attr('value', value);
	Feeds.reloadCurrent();
}
